package ru.rsdn.patterns.behavioral.observer.problems.fault;

import ru.rsdn.patterns.behavioral.observer.ISubscriber;

/**
 * Дефектный подписчик
 */
public class FaultySubscriber implements ISubscriber {
	public void eventHappen() {
		throw new UnsupportedOperationException();
	}
}
